# DataExchange
TKVRML
Vrml

# Vrml Class Reference

Vrml package implements the specification of the
VRML ( Virtual Reality Modeling Language ). VRML
is a standard language for describing interactive
3-D objects and worlds delivered across Internet.
Actual version of Vrml package have made for objects
of VRML version 1.0.
This package is used by VrmlConverter package.
The developer should already be familiar with VRML
specification before using this package.
.

`#include <Vrml.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT Standard_OStream & | VrmlHeaderWriter (Standard_OStream &anOStream)
| Writes one line of commentary in anOStream (VRML file). .
static Standard_EXPORT Standard_OStream & | CommentWriter (const Standard_CString aComment, Standard_OStream &anOStream)

## Member Function Documentation

static Standard_EXPORT Standard_OStream& Vrml::CommentWriter | ( | const Standard_CString | aComment,
|  | Standard_OStream & | anOStream
| ) | `[static]`

void Vrml::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Vrml::operator new | ( | size_t | size | ) | `[inline]`

void* Vrml::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

static Standard_EXPORT Standard_OStream& Vrml::VrmlHeaderWriter | ( | Standard_OStream & | anOStream | ) | `[static]`

The documentation for this class was generated from the following file:

- Vrml.hxx